qt

Installing libqt4-dev in Debian GNU/Linux 12 (bookworm)

Installing libqt4-dev in Debian GNU/Linux 12 (bookworm) I need Qt 4 for installing a software in debian bookworm. I believe I can install Qt 4 by ‘sudo apt install libqt4-dev’. I wanted to know if there are any risks to it. I don’t think that would be the case, but could it break my system? …

Total answers: 1

QT Applications Not Adhering to GTK Theme After Upgrading to Ubuntu 23.10

QT Applications Not Adhering to GTK Theme After Upgrading to Ubuntu 23.10 Hello Ubuntu community, I recently upgraded my system from Ubuntu 22.04 to 23.10 and encountered an issue with QT applications. Despite installing Kvantum and attempting to change the theme, these applications refuse to follow the GTK theme. The discrepancies extend to the mouse …

Total answers: 1

Installing Qt 6 on CentOS 7

Installing Qt 6 on CentOS 7 I need to install Qt 6 development files to build a third-party application in CentOS 7. I have been informed that the following packages are required on Ubuntu 22.04 LTS: qt6-base-dev qt6-tools-dev qt6-tools-dev-tools libqt6svg6-dev I checked CentOS 7 package repositories, and I couldn’t find any package for Qt in …

Total answers: 1

Problems installing QT online installer in Rhel 7

Problems installing QT online installer in Rhel 7 Relatively new to linux. I’m trying to run the qt online installer on a rhel 7 machine. Version info: [root@localhost Downloads]# hostnamectl Static hostname: localhost.localdomain Icon name: computer-laptop Chassis: laptop Machine ID: 984cef87c98f48be9355b28d1e22aa17 Boot ID: 36ec38de9f964dcfa7242c6c7da77e11 Operating System: Red Hat Enterprise Linux CPE OS Name: cpe:/o:redhat:enterprise_linux:7.9:GA:workstation Kernel: …

Total answers: 1

How do I install Qt 6 in Debian Bookworm?

How do I install Qt 6 in Debian Bookworm? A few years ago, I remember installing Qt 5 with a single apt install … command, although I don’t remember exactly which package I was installing. Looking to install Qt on a new Debian 12 Bookworm machine, I found that it’s not that straightforward any longer: …

Total answers: 1

Default monospace font in Qt applications

Default monospace font in Qt applications In the file ~/.config/fontconfig/fonts.conf i have set monospace to DejaVuSansMono: <alias> <family>monospace</family> <prefer><family>DejaVuSansMono</family></prefer> </alias> GTK applications (like the text editor Pluma) respect this setting and if I select the font Monospace I get DejaVu Sans Mono. In the Qt application TortoiseHg Workbench, however, the font Monospace is associated with …

Total answers: 2

QT6 strange widget rendering when 'XDG_CURRENT_DESKTOP' is defined

QT6 strange widget rendering when 'XDG_CURRENT_DESKTOP' is defined ~~(Note: This question was originally asked on QT’s forum, without much help)~~ We recently upgraded to Ubutnu 22.04, with QT 6.5.1 installed using the online installer. When porting some of our older (QT <= 5) apps, I noticed a strange issue with buttons, and progress bars, (so …

Total answers: 1

cmake: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory

cmake: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory I’m trying to build the qt-gstreamer-1.2.0 package listed here. But when I run cmake .. -DCMAKE_INSTALL_PREFIX=/path/to/installation/ according to the README file I encounter the cmake: error while loading shared libraries: libidn.so.11: cannot open shared object file: No such …

Total answers: 2

Zoom not starting because of undefined symbol from libqtquickcontrols2plugin.so

Zoom not starting because of undefined symbol from libqtquickcontrols2plugin.so I did a minimum debian stable system installation using debootstrap, but zoom is not able to start in such environment: $ QT_DEBUG_PLUGINS=1 /opt/zoom/ZoomLauncher $ tail ~/.zoom/logs/zoom_stdout_stderr.log ], "version": 330752 } zoom started. loaded library "/opt/zoom/QtQuick/Controls.2/libqtquickcontrols2plugin.so" /opt/zoom/zoom : symbol lookup error: /opt/zoom/QtQuick/Controls.2/libqtquickcontrols2plugin.so: undefined symbol: _ZN13QQmlDirParserC1Ev, version Qt_5_PRIVATE_API …

Total answers: 3

Ubuntu 22.04 with Qt6 – qmake: could not find a Qt installation of ''

Ubuntu 22.04 with Qt6 – qmake: could not find a Qt installation of '' In Ubuntu 22.04 after installing Qt6 using sudo apt install qt6-base-dev calling qmake results in an error message: qmake: could not find a Qt installation of ” or qmake: could not exec ‘/usr/lib/qt5/bin/qmake’: No such file or directory It is however …

Total answers: 1

Which packages install Qt5 pkg-config files?

Which packages install Qt5 pkg-config files? I need Qt5 .pc pkg-config file in order to compile this application. Of course I can install the whole Qt5 dev environment using the official Qt online installer. But I wonder if I can install some Ubuntu packages for the requires modules only (core, widget and gui) that include …

Total answers: 1

Mouse cursor not changing on hover in Qt Apps (22.04)

Mouse cursor not changing on hover in Qt Apps (22.04) Usually, the mouse cursor adapts to whatever it’s hovering over. However, for maybe one or two weeks now (probably since some update), this will sometimes spontaneously stop working in Qt apps until I hover over some non-Qt app. This might sound like a minor inconvenience, …

Total answers: 1

Can't upgrade from ubuntu 20.04 to 22.04

Can't upgrade from ubuntu 20.04 to 22.04 Im trying to upgrade from Ubuntu 20.04 to 22.04, but the upgrade process stopped at the ‘Installing the upgrades’ step. Asked By: jloria || Source This is usually a bug with a display manager (ly, sddm, lightdm, or w/e) not setting the XDG environment variables before they boot …

Total answers: 1

Tiled map editor not launching

Tiled map editor not launching I installed Tiled map editor as a snap application from the software store but when I click on it in the app grid, it does not launch. When I tried launching via the terminal I get this error: $ tiled Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on …

Total answers: 1

Qt statically linked application error: linuxfb plugin not found by the application

Qt statically linked application error: linuxfb plugin not found by the application I have successfully developed a graphical Qt 5.15.2 application using Qt Creator with dynamically linked libraries. For various reasons I have determined static linking would be better for my application. I attempted to switch my development environment to use static libraries instead of …

Total answers: 1

Install qt6 on 22.04

Install qt6 on 22.04 I am trying to install qt6 on Ubuntu 22.04. I have found this answer -> How to install Qt6 on Ubuntu 21.10 where it states that package qt6-base-dev is available on 22.04. However, I get Unable to locate package qt6-base-dev when trying to install it Asked By: Rad || Source qt6-base-dev …

Total answers: 1

Qt creator text editor malfunction under Ubuntu 22.04

Qt creator text editor malfunction under Ubuntu 22.04 I’ve upgraded my Ubuntu from 20.04 to 22.04 today (clean install) and went through the motions of setting up my development environment. (apt install build-essential libxcb-xinerama0, setting up for running 32bit toolchains etc.). However, after installing Qt creator and opening my project, I quickly realized that the …

Total answers: 1